<!DOCTYPE html>
<html>
    <head>
        <title>Pilot Portal</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
        <style>
			html,
			body,
			header,
			#intro {
				height: 100%;
			}

			#intro {
				background: url("https://www.wallpaperup.com/uploads/wallpapers/2013/10/30/167535/05ba7f78ac7651679b6c4a0f481e69e3.jpg")no-repeat center center fixed;
				-webkit-background-size: cover;
				-moz-background-size: cover;
				-o-background-size: cover;
				background-size: cover;

			}
			.nav-item:hover {
				background-color:black;
			}
            .navbar{background-color: black;}
            #login-section{color:azure}
            .input-group{display:flex; justify-content: center;}
		</style>
    </head>
    <body>
		<!--Main Navigation-->
		<header>

			<!--Navbar-->
			<nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">

				<div class="container">

					<!-- Navbar brand -->
					<a class="navbar-brand" href="./launch.html">Launch</a>

					<!-- Collapse button -->
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
						aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>

					<!-- Collapsible content -->
					<div class="collapse navbar-collapse" id="basicExampleNav">

						<!-- Links -->
						<ul class="navbar-nav mr-auto smooth-scroll">
							<li class="nav-item">
								<a class="nav-link" href="./home.html">Home</a>
							</li>
							<li class="nav-item">
								<a id="admin-portal" class="nav-link" href='./client-account.html'>My Account</a>
							</li>
                            <li class="nav-item">
								<button class="btn btn-outline-light" id="logout-nav-item">Logout</button>
							</li>
						</ul>
						<!-- Links -->

					</div>
					<!-- Collapsible content -->

				</div>

			</nav>
			<!--/.Navbar-->

			<!--Mask-->
			<div id="intro" class="view">

				<div class="mask rgba-black-strong">

					<div class="container-fluid d-flex align-items-center justify-content-center h-100">

						<div class="row d-flex justify-content-center text-center">

							<div class="col-md-10">
                                </br></br></br></br></br></br></br></br></br></br>
								<!-- Heading -->
								<h2 class="display-4 font-weight-bold white-text pt-5 mb-2" style="color: white;">Commander Portal</h2>

								<!-- Divider -->
								<hr class="hr-light" style="color: white;">

								<button type="button" class="btn btn-outline-light" onclick="window.location.href='#client-setup'">Functions<i class="fa fa-book ml-2"></i></button>

							</div>

						</div>

					</div>

				</div>

			</div>
			<!--/.Mask-->

		</header>
		<!--Main Navigation-->

		<!--Main layout-->
		<main class="mt-5">
			<div class="container">

				<section id="client-setup" class="text-center">

					<!-- Heading -->
					<h2 class="mb-5 font-weight-bold">Commander Functions</h2>

                    <div class="btn-group btn-group-lg" role="group" aria-label="Basic outlined example">
                        <button id="pilot-info-btn" type="button" class="btn btn-outline-dark">Pilot Information</button>
                        <button id="launch-data-btn" type="button" class="btn btn-outline-dark">Launch Data</button>
                        <button id="create-launch-btn" type="button" class="btn btn-outline-dark">Create Launch</button>
                    </div>
					</br>
					<div id="error-msg" style="color:red;"></div>
					<div id="success-msg" style="color:green;"></div>
					</br></br>
                    
					<form id="launch-info-form" class="row g-3 needs-validation" hidden>               
						<div class="row g-2">
							<div class="col-md">
								<div class="form-floating">
								<input type="text" class="form-control" id="location" placeholder="name@example.com">
								<label for="location">Location</label>
								<div class="valid-feedback">
									Looks good!
								</div>
								</div>
							</div>
							<div class="col-md">
								<div class="form-floating">
									<input type="text" class="form-control" id="destination" placeholder="name@example.com">
									<label for="destination">Destination</label>
									<div class="valid-feedback">
										Looks good!
									</div>
								</div>
							</div>
						</div>
						<div class="row g-2">
							<div class="col-md">
							<div class="form-floating">
								<input type="text" step=".01" class="form-control" id="launchDate" placeholder="name@example.com">
								<label for="launchDate">Launch Date</label>
								<div class="valid-feedback">
									Looks good!
								</div>
							</div>
							</div>
							<div class="col-md">
								<div class="form-floating">
								<input type="text" class="form-control" id="launchTime" placeholder="name@example.com">
								<label for="launchTime">Launch Time</label>
								<div class="valid-feedback">
									Looks good!
								</div>
								</div>
							</div>
						</div>
						<div class="row g-2">
							<div class="col-md">
							<div class="form-floating">
								<input type="text" step=".01" class="form-control" id="arrivalDate" placeholder="name@example.com">
								<label for="arrivalDate">Arrival Date</label>
								<div class="valid-feedback">
									Looks good!
								</div>
							</div>
							</div>
							<div class="col-md">
								<div class="form-floating">
								<input type="text" class="form-control" id="arrivalTime" placeholder="name@example.com">
								<label for="arrivalTime">Arrival Time</label>
								<div class="valid-feedback">
									Looks good!
								</div>
								</div>
							</div>
						</div>
						<div id="launch-error" hidden></div>
						<div class="col-12">
							<button id="launch-info-submit" class="btn btn-outline-dark" type="submit">Submit New Launch</button>
						</div>
					</form>


				</section>

				<hr class="my-5">

			</div>
      
		</main>
		<!--Main layout-->
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	    <script src='server-requests.js'></script>
        <script src='commander-portal.js'></script>
	</body>
</html>